import { ElementRef, EventEmitter, AfterViewInit, OnDestroy, NgZone, OnChanges, SimpleChanges } from "@angular/core";
import { ECharts, EChartOption, EChartsConvertFinder, TypedArray } from "echarts";
import { EChartInitOption, EChartSetOptionConfig, EChartsResizeOption } from "./interface";
export declare class NgxEchartsComponent implements AfterViewInit, OnChanges, OnDestroy {
    private el;
    private ngZone;
    echartsInstance: ECharts;
    theme: object | string;
    initOpts: EChartInitOption;
    option: EChartOption;
    group: string;
    setOptionConfig: EChartSetOptionConfig;
    loading: boolean;
    loadingType: string;
    loadingOpts: object;
    onBeforeInit: EventEmitter<any>;
    onAfterInit: EventEmitter<any>;
    onOptionChange: EventEmitter<any>;
    host: ElementRef;
    constructor(el: ElementRef, ngZone: NgZone);
    ngAfterViewInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
    init(): void;
    dispose(): void;
    setOption(): void;
    toggleGroup(previousValue: any, currentValue: any): void;
    toggleLoading(): void;
    getWidth(): number;
    getHeight(): number;
    getDom(): HTMLCanvasElement | HTMLDivElement;
    getOption(): EChartOption;
    resize(opts?: EChartsResizeOption): void;
    dispatchAction(payload: object): void;
    on(eventName: string, handler: Function, context?: object): void;
    off(eventName: string, handler?: Function): void;
    convertToPixel(finder: EChartsConvertFinder, value: any[] | string): any[] | string;
    convertFromPixel(finder: EChartsConvertFinder, value: any[] | string): any[] | string;
    containPixel(finder: EChartsConvertFinder, value: any[]): boolean;
    getDataURL(opts: {
        type?: string;
        pixelRatio?: number;
        backgroundColor?: string;
        excludeComponents?: string[];
    }): string;
    getConnectedDataURL(opts: {
        type: string;
        pixelRatio: number;
        backgroundColor: string;
        excludeComponents?: string[];
    }): string;
    appendData(opts: {
        seriesIndex?: string;
        data?: any[] | TypedArray;
    }): void;
    clear(): void;
    isDisposed(): boolean;
}
